package com.scbfkj.uni.api;

import com.scbfkj.uni.library.UniReturnUtil;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class SecurityApi {


    /**
     * 获取appToken appToken
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping("user/getToken")
    public ResponseEntity getToken(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(UniReturnUtil.fail("逻辑还没有实现"));
    }

    /**
     * 刷新appToken
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping("user/refreshToken")
    public ResponseEntity refreshToken(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 校验token 包含appToken 和用户token
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/testToken", "foxlibc/testToken"})
    public ResponseEntity testToken(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 获取验证码
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/verifyCode", "foxlibc/verification-code"})
    public ResponseEntity getCode(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 强制登录
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/forceLogin", "foxlibc/force_sign"})
    public ResponseEntity forceLogin(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 登录
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/login", "foxlibc/sign-in"})
    public ResponseEntity login(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 获取权限
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/permissions", "foxlibc/permissions"})
    public ResponseEntity getPermissions(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }


    /**
     * 更改密码
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/changePassword", "foxlibc/reset-passwd"})
    public ResponseEntity changePwd(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 登出注销
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/logOut", "foxlibc/sign-out"})
    public ResponseEntity logOut(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) throws Exception {
        return ResponseEntity.ok(null);
    }

    /**
     * 用户心跳检查   判断用户是否在线
     *
     * @param headers
     * @param body
     * @return
     */
    @PostMapping({"user/health", "foxlibc/health"})
    public ResponseEntity health(@RequestHeader Map<String, Object> headers, @RequestBody Map<String, Object> body) {
        return ResponseEntity.ok(null);
    }
}
